<script src="app-assets/vendors/js/jqBootstrapValidation.js" type="text/javascript"></script>
<script src="app-assets/js/form-validation.js" type="text/javascript"></script>

<div class="content-wrapper" ng-controller="relatorioVeiculoController as relatorioVeiculoCtrl">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form-horizontal" ng-submit="relatorioVeiculoCtrl.getHistorico()" novalidate>
                            <div class="form-body">
                                <h4 class="form-section"><i class="ft-filter"></i> Filtro</h4>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Placa: </label>
                                            <div class="col-md-9">
                                                <input class="form-control" mask="###-9999" required
                                                    ng-model="relatorioVeiculoCtrl.placa" id="placa">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="mes">Mês: </label>
                                            <div class="col-md-9">
                                                <select name="dropMes" id="dropMes" class="form-control"
                                                    ng-options="option.mes for option in relatorioVeiculoCtrl.meses track by option.id"
                                                    ng-model="relatorioVeiculoCtrl.mes"></select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Ano: </label>
                                            <div class="col-md-9">
                                                <input class="form-control" mask="9999" required
                                                    ng-model="relatorioVeiculoCtrl.ano" id="ano">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 right">
                                        <div class="form-group row">
                                            <div class="col-md-9">
                                                <button type="submit" class="btn btn-raised btn-primary">
                                                    <i class="fa fa-check-square-o"></i> Buscar
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </br></br></br>

    <div class="row">
        <section id="timeline" class="timeline-center timeline-wrapper col-xl-12 col-lg-12">
            <h3 class="page-title text-center">Timeline</h3>

            <div ng-repeat="historico in relatorioVeiculoCtrl.historico">
                <ul class="timeline">
                    <li class="timeline-line"></li>
                    <li class="timeline-group">
                        <a class="btn btn-raised btn-primary">
                            <i class="fa fa-calendar-o"></i> {{historico.dataCadastro | date:"dd/MM/yyyy"}}</a>
                    </li>
                </ul>
                <ul class="timeline">
                    <li class="timeline-line"></li>
                    <li class="timeline-item">
                        <div class="timeline-badge">
                            <a href="{{'#!/usuarioEditar/' + historico.idUsuario + '/relatorioVeiculo/' + relatorioVeiculoCtrl.placa + '/' + relatorioVeiculoCtrl.mes.id + '/' + relatorioVeiculoCtrl.ano }}">
                                <span class="avatar avatar-online" data-toggle="tooltip" data-placement="left"
                                    title="{{historico.nome}}">
                                    <img ng-src="{{'data:image/png;base64,'+ historico.foto}}" class="rounded-circle"
                                        alt="{{historico.nome}}" width="40">
                                </span>
                            </a>
                        </div>
                        <div class="timeline-card card border-grey border-lighten-2">
                            <div class="card-header">
                                <h4 class="card-title mb-0">
                                    <a>{{historico.descricao}}</a>
                                </h4>
                            </div>
                            <div class="card-content">
                                <div class="card-content">
                                    <div class="card-body">
                                        <div class="list-inline mb-1">
                                            <span class="pr-1">
                                                <a class="primary">
                                                    <span></span> R$ {{historico.valor}}</a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </section>
    </div>
</div>